###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
Source10: kmodtool
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.18-164.el5}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name rt2570
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64 ia64
%define xenvar xen
#define kdumpvar kdump
%endif
%ifarch i686
%define PAEvar PAE
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?xenvar} %{?kdumpvar} %{?PAEvar}}
# hint: this can he overridden with "--define kvariant foo bar" on the rpmbuild command line, e.g.
# --define 'kvariant "" smp' 
%define rt2570ver RT25USB-SRC-V2.0.8.0

Name:           %{kmod_name}-kmod
Version:        2.0.8.0
Release:        0.3%{?dist}
Summary:        %{kmod_name} kernel modules

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.ralinktech.com/ralink/Home/Support/Linux.html
Source0:        http://www.ralinktech.com.tw/data/RT25USB-SRC-V2.0.8.0.tar.gz
Patch1:		rt2570.patch
Patch2:		rt2570-security-patch.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ia64 ppc64 ppc64iseries s390x
# Temporarily disable s390 & ppc

%description
Ralink USB driver for 2570 chipset (D-Link DWL-G122 (and others))

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0 -n %{rt2570ver}
%patch1 -p0
%patch2 -p0
pwd
ls -la
for kvariant in %{kvariants} ; do
   # cp -a %{kmod_name}-kernel-%{version}/kernel _kmod_build_${kvariant}
    cp -a %{rt2570ver} _kmod_build_${kvariant}
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" SUBDIRS=${PWD} modules %{?_smp_mflags}
    popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    pushd _kmod_build_$kvariant
    make install \
	 KERNEL_VERSION=%{kversion} \
         DESTDIR=$RPM_BUILD_ROOT \
         INST_DIR=$RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    popd
done
# Temporarily executable for stripping, fixed later in %%files.
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Sep 03 2009 Josko Plazonic <plazonic@math.princeton.edu>
- convert to a weak module kmod

* Fri Mar 14 2008 Thomas Uphill <uphill@math.ias.edu>
- initial build of RT2570 on RHEL5
